#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""
Une classe simple et une classe avec constructeur.

fichier : person.py
@author: bob
"""

# Définition de classe ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
class A:
    """Une classe simple."""
    
    def show(self):
        """Une méthode simple."""
        print('Hello de la classe A !')


class B:
    """Une classe avec constructeur."""
    
    def __init__(self, nom):
        """Le constructeur avec 1 paramètre."""
        self.nom = nom
        
    def origine(self):
        print('Hello de la classe B !')
        
    def show(self):
        print(f"Nom de l'objet : '{self.nom}'")


# Auto-test ====================================================================
if __name__ == "__main__":
    a = A()
    a.show()
    print("-"*30)
    
    b = B("Henri")
    b.origine()
    b.show()
